{% extends '::baseIntranet.html.twig' %}

{% block title %} INTRANET - Correos MDR {% endblock title %}

{% block stylesheets %}
	<style>
		#form_Guardar {
		    float: left;
		    margin-top: 5px;
		}
		#form_Cancelar {
		    margin-top: 5px;
		    margin-left: 15px;
		}
		.blockUI {
		    z-index: 1700 !important;
		}
	</style>	
{% endblock %}

{% block body -%}
        
        	<section class="content-header">
	          <h1>
	            Administrador de correos
	            <small>correos de areas operativas MDR</small>
	          </h1>
	        </section>
        <section class="content">  
        	<div class="box box-success">
        		<div class="box-header">
                  <h3 class="box-title">Nuevo Correo</h3>
                </div>
                <div class="box-body">
                	{{ form_start(form_new) }}
		                  {% for row in [		                    
		                    [ ['area',2] ],
		                    [ ['correo',2] ]
		                    ] 
		                  %}
		                    <div class="row">   
		                    {% for field in row %}
		                      <div class="col-md-{{ field[1] is defined ? field[1] * 4 :  4 }}">
		                        {% if (attribute(form_new, field[0]) is defined) %}
		                          {{ form_row(attribute(form_new, field[0])) }}
		                        {% endif %}
		                      </div>
		                    {% endfor %}
		                    </div>
		                  {% endfor %}
		                  {{ form_rest(form_new) }}
		            {{ form_end(form_new) }}
                </div>
             </div>

		    <div class="box box-warning">
                <div class="box-body">
                	<div class="mailbox-controls">
        			     <button class="btn btn-info" id="updateInbox" onclick="document.location.href= '{{ path('correos_mdr') }}';showLoading('Actualizando...');"><i class="fa fa-refresh"></i></button>
                  	</div>
                	<table class="table table-hover table-striped" id="tbl_correos">
				    	<thead>
				    		<th>Area.</th>
				    		<th>Correo.</th>
				    		<th>Activo.</th>
				    		<th><i class="fa fa-wrench"></i></th>
				    	</thead>
				    	<tbody>
				    		{% for entity in correos %}
				    			 	<tr>			                            
			                            <td>{{ entity.Area }}</td>
			                            <td>{{ entity.Correo }}</td>
			                            <td align="center">
			                            <input {{ entity.Activo == 1 ? 'checked' }} type="checkbox" style="width: 30px;height:30px;" name="estado{{ entity.idCorreo }}" onchange="actualizar({{ entity.idCorreo }}, this);"/>
			                            </td>
			                            <td>
			                            <button class="btn btn-success" onclick="editCorreo({{ entity.idCorreo }});"><i class="fa fa-edit"></i></button>&nbsp;
			                            <button class="btn btn-danger" onclick="deleteCorreo({{ entity.idCorreo }});"><i class="fa  fa-times-circle"></i></button>
			                            </td>			                            
		                          	</tr> 
							{% endfor %}
				    	</tbody>
					</table>
                </div>
             </div>
		    
		   

		</section> 	
    
        	 <!-- POP UP INFORMACION DETALLADA DE LA NOTICIA-->
        	<div class="modal" id="pp_correo">
              <div class="modal-dialog">
                <div class="modal-content">
                  <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                    <h4 class="modal-title">Editar Correo</h4>
                  </div>
                  <div class="modal-body" id="dtl_correo">
                    	
                  </div>
                </div><!-- /.modal-content -->
              </div><!-- /.modal-dialog -->
            </div>


{% endblock %}

{% block javascripts %}
	<script type="text/template" id='previewCorreo'> 
    	<div class="row">
    		<div class="col-md-12"><label>* Area:</label></br><input type="text" id="area_edit" maxlength="250" class="form-control" value="<%= mensaje.Area %>"></div>
    		<div class="col-md-12"><label>* Correo:</label></br><input type="text" id="correo_edit" maxlength="250" class="form-control" value="<%= mensaje.Correo %>"></div>
    		<div class="col-md-12" style="margin-top: 2%; text-align: right;"><button class="btn btn-success" onclick="saveEdit(<%= mensaje.idCorreo %>);">Guardar</button>&nbsp;&nbsp;<button type="button" class="btn btn-default" data-dismiss="modal">Salir</button></div>
    	</div>            
    </script>  
	<script>
		$(document).ready(function() {

		    $('#tbl_correos').DataTable({
        					"language":DataTables.languaje.es
										 					
        	});

		    $( "select" ).addClass( "form-control" );
			$( "input[type='text']" ).addClass( "form-control" );
			$( "input[type='search']").addClass( "form-contro" );		        	
			$( "#tbl_correos_length" ).addClass( "form-inline" );
			$( "#tbl_correos_filter" ).addClass( "form-inline" );

			

		} );


	function actualizar(idCorreo, self){
		var urlActualizar = "{{path('_ActivaCorreo')}}"; 
		showLoading("Activando correo");
		$.post(urlActualizar, {idCorreo:idCorreo,valor:self.checked}, function(data, textStatus, xhr) {
		   if (data.estado==1){
		   	document.location.href="{{ path('correos_mdr') }}";
		   }
		   else{
		   hideLoading();
		   alert(data.mensaje);
		   }  
		});
	}

	function deleteCorreo(idCorreo){
		var urlElimina = "{{path('_EliminaCorreo')}}"; 
		showLoading("Eliminando correo");
		$.post(urlElimina, {idCorreo:idCorreo}, function(data, textStatus, xhr) {
		   if (data.estado==1){		   
		   	document.location.href="{{ path('correos_mdr') }}";
		   }
		   else{
		   hideLoading();
		   alert(data.mensaje);
		   }  
		});
	}

	function save(){
		var area = $('#form_area').val();
		var correo = $('#form_correo').val();
		if(area && correo){
			showLoading('Guardando Correo');
		}
	}

	function clearForm(){
		$('#form_area').val('');
		$('#form_correo').val('');
	}

	function editCorreo(idCorreo){
		var urlUpdate = "{{path('_getCorreo')}}"; 
		showLoading("Cargando datos");
		$.post(urlUpdate, {idCorreo:idCorreo}, function(data, textStatus, xhr) {
		   if (data.estado==1){		   
		   		var template = _.template(document.getElementById("previewCorreo").textContent);
                var html_info = template(data);
                $("#dtl_correo").html(html_info);
                hideLoading();
                $('#pp_correo').modal({
				      backdrop: 'static',
				      keyboard: false
				    });
		   }
		   else{
			   hideLoading();
			   alert(data.mensaje);
		   }  
		});
	}

	function saveEdit(idCorreo){

		var area = $('#area_edit').val();
		var correo = $('#correo_edit').val();
		if(area && correo){
			var urlElimina = "{{path('_UpdateCorreo')}}"; 
			showLoading("Actualizando Correo");
			$.post(urlElimina, {idCorreo:idCorreo,area:area,correo:correo}, function(data, textStatus, xhr) {
			   if (data.estado==1){	
			   	$('#pp_correo').modal('hide');  	   
			   	document.location.href="{{ path('correos_mdr') }}";
			   }
			   else{
			   hideLoading();
			   alert(data.mensaje);
			   }  
			});

		}else{
			alert("Al editar debe indicar:</br>->Area</br>->Correo");
		}

	}
	</script>
{% endblock %}